> For the complete documentation index, see [llms.txt](https://docs.exoclick.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.exoclick.com/publishers/ja/vast/vast-wrapper.md).

# VASTラッパータグ

## XMLの例

```xml
<?xml version="1.0" encoding="UTF-8"?>
<VAST version="3.0">
    <Ad id="1111111">
        <Wrapper>
            <AdSystem>ExoClick</AdSystem>
            <VASTAdTagURI><![CDATA[https://external.adserver.com/xml?cid=1111111]]></VASTAdTagURI>
            <Impression id="exotr">
                <![CDATA[https://syndication.magsrv.com/vregister.php?a=vimp&tracking_event=impression&idzone=22222&data=abcd]]></Impression>
            <Error>
                <![CDATA[https://syndication.magsrv.com/vregister.php?a=vview&errorcode=[ERRORCODE]&idzone=22222]]></Error>
            <Creatives>
                <Creative sequence="1" id="12345">
                    <Linear>
                        <TrackingEvents>
                            <Tracking id="prog_1" event="progress" offset="00:00:10.000">
                                <![CDATA[https://syndication.magsrv.com/vregister.php?a=vview&tracking_event=progress&progress=00:00:10.000&idzone=22222&data=abcd]]></Tracking>
                        </TrackingEvents>
                        <VideoClicks>
                            <ClickThrough>
                                <![CDATA[https://syndication.magsrv.com/click.php?data=abcd]]></ClickThrough>
                        </VideoClicks>
                    </Linear>
                </Creative>
            </Creatives>
        </Wrapper>
    </Ad>
</VAST>
```

## プロパティ

| オプション                                    | 説明                                                                                                                                                                                                |
| ---------------------------------------- | ------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- |
| `<?xml version="1.0" encoding="UTF-8"?>` | バージョンとエンコーディングを定義するXMLプロローグ。                                                                                                                                                                      |
| `VAST`                                   | この要素で使用されるVASTのバージョン                                                                                                                                                                              |
| `Wrapper fallbackOnNoAd`                 | ツリー内に別のVAST要素があることを示します。広告ゾーンの設定で「動画フォールバック」が有効になっている場合は、VASTキュー内でこの要素が占める位置も示します。                                                                                                                |
| `VASTAdTagURI`                           | 2つ目のVASTレスポンスのURIを指定するために使用される要素です。この2つ目のレスポンスは別のWrapperである場合もありますが、最終的にVAST Wrapperは次の要素を返す必要があります。 `<InLine>` 広告。バージョン3ではWrapperのリダイレクト回数に上限はありませんが、バージョン4以降ではVAST Wrapperのリダイレクトは最大5回まで許可されます。 |
| `VideoClicks`                            | 広告の表示中にユーザーが動画プレーヤーのフレーム内を直接クリックした場合の動作を指定するための要素です。 `<VideoClicks>` 要素が指定されている場合、子要素として次の要素を1つ含みます。 `<ClickTracking>` URIを持つ要素（または `<ClickThrough>` VASTタグの場合）。                                  |
| `ClickTracking`                          | クリエイティブファイルが次を処理する場合に、 `clickthrough` を追跡するために使用される要素 `clickthrough`.                                                                                                                             |
| `Extension`                              | 広告サーバーが提供する追加設定                                                                                                                                                                                   |


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.exoclick.com/publishers/ja/vast/vast-wrapper.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
